package options

import (
	"os"

	"gitea.timerzz.com/kedaya_haitao/common/pkg/database"
	dw_sdk "gitea.timerzz.com/kedaya_haitao/dw-sdk"
	"gopkg.in/yaml.v3"
)

type Config struct {
	DB database.DBOption `yaml:"db"`
	Dw dw_sdk.Config     `yaml:"dw"`
}

func LoadConfig() (*Config, error) {
	cfgPath := os.Getenv("CONFIG_PATH")
	if cfgPath == "" {
		cfgPath = "/data/cfg.yaml"
	}
	var opt Config
	f, err := os.Open(cfgPath)
	if err != nil {
		return nil, err
	}
	defer f.Close()
	return &opt, yaml.NewDecoder(f).Decode(&opt)
}
